Version 1.7.0.0 compatible test wurfl.zip needed

General question about two step analysis, matchers and other general API questions
trickydee
Posts: 33
Joined: Fri Jul 17, 2015 8:58 am

Version 1.7.0.0 compatible test wurfl.zip needed

Postby trickydee » Sun Mar 06, 2016 7:54 pm

Following release 1.7.0.0, if I'm not mistaken, the library requires an wurfl db which is a recent date.
In essence this creates a problem if someone would like to publish derivative GPL source code and would like to build (and test) this code in the open as I believe there is no freely available wurfl db using this format and running tests without the new db doesn't prove much.
Therefore, I think it would be good for ScientiaMobile to publish a reduced db with the new format which can be under GPL.

sm_support2
Posts: 294
Joined: Mon Jun 20, 2011 5:04 pm

Re: Version 1.7.0.0 compatible test wurfl.zip needed

Postby sm_support2 » Sun Mar 06, 2016 11:51 pm

Thank you, Stephen. Mixing AGPL software with non-GPL files is possible, but arguing that it is not so elegant is certainly conceivable.

Generally speaking, ScientiaMobile invests significant amounts of resources in keeping the WURFL repository updated and we do not want AGPL to represent a way for enterprises to avoid the cost of licensing the software commercially.

We will consider whether this is an issue worth addressing and how (and in what timeframe).

Edit: As of 7/25/2016 ScientiaMobile no longer uses AGPL or any other Open Source licensing. Please refer to http://www.scientiamobile.com/page/get- ... elease-1-8 for more information or contact sales

trickydee
Posts: 33
Joined: Fri Jul 17, 2015 8:58 am

Re: Version 1.7.0.0 compatible test wurfl.zip needed

Postby trickydee » Mon Mar 07, 2016 7:16 pm

sm_support2 wrote:Thank you, Stephen. Mixing AGPL software with non-GPL files is possible, but arguing that it is not so elegant is certainly conceivable.

Generally speaking, ScientiaMobile invests significant amounts of resources in keeping the WURFL repository updated and we do not want AGPL to represent a way for enterprises to avoid the cost of licensing the software commercially.

We will consider whether this is an issue worth addressing and how (and in what timeframe).
Absolutely, this test wurfl.zip should not need to represent the actual data as its proprietary. It needs to be a small dataset which represents enough data to stretch any service implementation based on the core library.
What I'm trying to point out is that *any* AGPL service implementations out there will struggle to keep any tests published as there is no compatible test data available and I think it's in Scientias interest to keep this ecosystem alive as a rich ecosystem is what should lead to more licensing to get updated wurfl zips. You can think of it as something which is part of a TCK.

sm_support2
Posts: 294
Joined: Mon Jun 20, 2011 5:04 pm

Re: Version 1.7.0.0 compatible test wurfl.zip needed

Postby sm_support2 » Mon Mar 07, 2016 8:20 pm

trickydee wrote:You can think of it as something which is part of a TCK.
Pardon my ignorance. What do you mean by TCK?

also, I can see that you are a licensee of the fully-fledged API and data, why would the availability of a GPL subset of the data matter to you?

trickydee
Posts: 33
Joined: Fri Jul 17, 2015 8:58 am

Re: Version 1.7.0.0 compatible test wurfl.zip needed

Postby trickydee » Tue Mar 08, 2016 8:32 am

sm_support2 wrote:
trickydee wrote:You can think of it as something which is part of a TCK.
Pardon my ignorance. What do you mean by TCK?

also, I can see that you are a licensee of the fully-fledged API and data, why would the availability of a GPL subset of the data matter to you?
Hi,
In technology, a TCK also known as Test Compatibility Kit is a suite of tests that at least nominally checks a particular alleged implementation of a component for compliance.

As far as we understand, Scientia allows 3rd parties to open source their code to your library as long as the code stays AGPL.
We would like to do open source a service which we have implemented based on our access to the Java+Scala WURFL API and allow to the public to run our code as service provided they pay to Scientia for the wurfl data and for the Scala library and provide the service their zips.
The problem is that our code runs tests which require a version of the wurfl.zip data. Previously to 1.7 the old, publicly available, wurfl zip was still compatible so that was viable to distribute. However with 1.7, the old zip is no longer valid which means we can't distribute this test code any longer. I hope this clears it up.

aaronp
Posts: 236
Joined: Wed Dec 09, 2015 12:39 pm

Re: Version 1.7.0.0 compatible test wurfl.zip needed

Postby aaronp » Wed Jul 20, 2016 2:09 pm

Hi Stephen,

To clarify, you can use the latest `wurfl.xml` with an older API; however, while the `wurfl.xml` is backwards compatible with the API, the inverse is not always true.

Hope this cleared things up for you. Let me know if you have any further questions.

Thanks!

Aaron


Who is online

Users browsing this forum: No registered users and 1 guest